package co.yixiang.yshop.module.member.convert.burypoint;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.burypoint.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.burypoint.BuryPointDO;

/**
 * 埋点 Convert
 *
 * @author admin
 */
@Mapper
public interface BuryPointConvert {

    BuryPointConvert INSTANCE = Mappers.getMapper(BuryPointConvert.class);

    BuryPointDO convert(BuryPointCreateReqVO bean);

    BuryPointDO convert(BuryPointUpdateReqVO bean);

    BuryPointRespVO convert(BuryPointDO bean);

    List<BuryPointRespVO> convertList(List<BuryPointDO> list);

    PageResult<BuryPointRespVO> convertPage(PageResult<BuryPointDO> page);

    List<BuryPointExcelVO> convertList02(List<BuryPointDO> list);

}
